Cassandra::Client::ResultSet(3pm)

NAME
Cassandra::Client::ResultSet

VERSION
version 0.21

METHODS

$result->rows()
    Returns an arrayref of all rows in the ResultSet. Each row will be represented as an arrayref with cells. To find column names, see "column_names".

$result->row_hashes()
    Returns an arrayref of all rows in the ResultSet. Each row will be represented as a hashref with cells.

$result->column_names()
    Returns an arrayref with the names of the columns in the result set, to be used with rows returned from rows().

$result->next_page()
    Returns a string pointing to the next Cassandra result page, if any. Used internally by "$client->each_page()", but can be used to implement custom pagination logic.

AUTHOR
Tom van der Woerdt <tvdw@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2023 by Tom van der Woerdt.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.